
QGIS Application - Bug report #15598

QGIS fails to display features near 180 degrees longitude at some scales

2016-09-21 12:57 PM - Brent Wood

Status: Closed

Priority: High

Assignee:

Category: Map Canvas

Affected QGIS version:2.16.2 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 23521

Description

We have a Specify collection database (native non spatial MySQL: http://specifyx.specifysoftware.org/)

I have set up a Postgis database using Postgres FDW to access the MySQL tables, & create a view for bio observations with a Postgis

point feature for the location.

I can open this view in QGIS & plot the points (around New Zealand).

To ensure points across 180 are displayed in a 180 centric map, the points are in EPSG:4326, lat/long degrees, but the project CRS is

EPSG:3994.

When zoomed out any points near the 180 line of longitude are not displayed - there is a gap in the map. 

As I zoom in, these points "magically" appear.

To check for a Postgis issue - I have save the Postgis points layer as a shapefile and opened that as well. The same behaviour is

exhibited.

I'm using QGIS v2.16.

I may be able to provide some funding for a bug fix, if necessary.

3 images provided - the points not being displayed change with scale, the 3rd file seems to plot all the points as the scale increases

(zooming in)

This is in QGIS v2.16.2, but also occurs in earlier versions tested.

History

#1 - 2016-09-21 12:58 PM - Brent Wood

I'm not sure if the files attached - can provide shapefile & images if required...

#2 - 2016-09-25 07:29 PM - Brent Wood

Probably related - if ?I use the select rectangle tool for points crossing 180, I get a selection which lies W of the region I drew on the map, not the region I

selected.

#3 - 2016-10-03 05:59 AM - Martin Dobias
http://specifyx.specifysoftware.org/


Please attach the screenshots and the shapefile for testing - there are no attachments in this ticket...

#4 - 2016-10-03 05:59 AM - Martin Dobias

- Status changed from Open to Feedback

#5 - 2017-01-03 07:49 AM - Giovanni Manghi

- Resolution set to not reproducable

- Category changed from Browser to Map Canvas

- Status changed from Feedback to Closed

- Operating System changed from Linuz to Linux

Closing for lack of feedback, please reopen if necessary.
